package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ActivityGroupActivityPO;
import mhp.oee.po.gen.ActivityGroupActivityPOExample;

public interface ActivityGroupActivityPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int countByExample(ActivityGroupActivityPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityGroupActivityPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int insert(ActivityGroupActivityPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int insertSelective(ActivityGroupActivityPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    List<ActivityGroupActivityPO> selectByExample(ActivityGroupActivityPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    ActivityGroupActivityPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityGroupActivityPO record, @Param("example") ActivityGroupActivityPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityGroupActivityPO record, @Param("example") ActivityGroupActivityPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityGroupActivityPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_group_activity
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityGroupActivityPO record);
}